Subject: Re: [RFC] Hidden refs

From: Stephen Bash <[email-masked]>
Date: Wed, 13 Oct 2010 11:32:25 -0400 (EDT)

> So I'm wondering if it makes sense to properly support hidden
> directories in
> refs/, and what it would take to do so. (I image, for example, that
> things
> would behave quite differently on Windows...)
> 
> Thoughts?

We currently use refs/hidden/heads and refs/hidden/tags for hidden refs.  It does require calling 'gitk --branches --tags' rather than 'gitk --all', but otherwise I like the behavior (git branch only lists refs/heads, git tag only lists ref/tags).  And they never get cloned by default (they can still be fetched when needed).

Stephen